package be.msyben.vinylManager.gui;

import be.msyben.vinylManager.gui.icon.Icons;
import be.msyben.vinylManager.tools.Tools;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * Gui donnant les informations du système.
 * @author Mathieu Syben
 */
public class SystemInfoWindow extends JFrame {

    /**
     * uid
     */
    private static final long serialVersionUID = 7978364636l;
    /**
     * Constructeur.
     */
    public SystemInfoWindow() {
        super("System info");
        setIconImage(Icons.getInstance().icon.getImage());
        this.setSize(510, 370); // On donne une taille à notre fenêtre
        this.setLocationRelativeTo(null); // On centre la fenêtre sur l'ecran
        this.setResizable(false); // On interdit la redimensionnement de la fenêtre
        this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        this.getContentPane().setLayout(null);
        putElements();
        setVisible(true);
    }

    private void putElements() {
        JTextArea text = new JTextArea();
        text.setText(Tools.getMemoryUsage());
        JScrollPane scroll = new JScrollPane(text);
        scroll.setBounds(5,5,490,330);
        this.getContentPane().add(scroll);
    }

}
